class ListCommonMedia {
  List<CommonMedia>? items;
  int? totalItems;
  int? numberOfPages;

  ListCommonMedia({this.items, this.totalItems, this.numberOfPages});

  ListCommonMedia.fromJson(Map<String, dynamic> json) {
    if (json["items"] is List) {
      items = json["items"] == null
          ? null
          : (json["items"] as List)
              .map((e) => CommonMedia.fromJson(e))
              .toList();
    }
    if (json["totalItems"] is int) {
      totalItems = json["totalItems"];
    }
    if (json["numberOfPages"] is int) {
      numberOfPages = json["numberOfPages"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    if (items != null) {
      data["items"] = items?.map((e) => e.toJson()).toList();
    }
    data["totalItems"] = totalItems;
    data["numberOfPages"] = numberOfPages;
    return data;
  }
}

class CommonMedia {
  String? id;
  String? label;
  String? url;
  int? catId;
  String? svg;
  String? png;
  String? gif;
  String? compressedUrl;
  String? superCompressedUrl;
  int? whisePictureId;
  String? purpose;
  int? s3BucketId;
  String? bucketFolderUuid;
  int? fileTypeId;
  int? isExternal;

  String? get smallPic => compressedUrl ?? url;

  String? get tinyUrl => superCompressedUrl ?? compressedUrl ?? url;

  CommonMedia(
      {this.id,
      this.label,
      this.url,
      this.catId,
      this.svg,
      this.png,
      this.gif,
      this.compressedUrl,
      this.superCompressedUrl,
      this.whisePictureId,
      this.purpose,
      this.s3BucketId,
      this.bucketFolderUuid,
      this.fileTypeId,
      this.isExternal});

  CommonMedia.fromJson(Map<String, dynamic> json) {
    if (json["id"] is String) {
      id = json["id"];
    }
    if (json["label"] is String) {
      label = json["label"];
    }
    if (json["url"] is String) {
      url = json["url"];
    }
    if (json["catId"] is int) {
      catId = json["catId"];
    }
    if (json["svg"] is String) {
      svg = json["svg"];
    }
    if (json["png"] is String) {
      png = json["png"];
    }
    if (json["gif"] is String) {
      gif = json["gif"];
    }
    if (json["compressedUrl"] is String) {
      compressedUrl = json["compressedUrl"];
    }
    if (json["superCompressedUrl"] is String) {
      superCompressedUrl = json["superCompressedUrl"];
    }
    if (json["whisePictureId"] is int) {
      whisePictureId = json["whisePictureId"];
    }
    if (json["purpose"] is String) {
      purpose = json["purpose"];
    }
    if (json["s3BucketId"] is int) {
      s3BucketId = json["s3BucketId"];
    }
    if (json["bucketFolderUuid"] is String) {
      bucketFolderUuid = json["bucketFolderUuid"];
    }
    if (json["fileTypeId"] is int) {
      fileTypeId = json["fileTypeId"];
    }
    if (json["isExternal"] is int) {
      isExternal = json["isExternal"];
    }
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> _data = <String, dynamic>{};
    _data["id"] = id;
    _data["label"] = label;
    _data["url"] = url;
    _data["catId"] = catId;
    _data["svg"] = svg;
    _data["png"] = png;
    _data["gif"] = gif;
    _data["compressedUrl"] = compressedUrl;
    _data["superCompressedUrl"] = superCompressedUrl;
    _data["whisePictureId"] = whisePictureId;
    _data["purpose"] = purpose;
    _data["s3BucketId"] = s3BucketId;
    _data["bucketFolderUuid"] = bucketFolderUuid;
    _data["fileTypeId"] = fileTypeId;
    _data["isExternal"] = isExternal;
    return _data;
  }
}
